ListSpinnerHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: ListSpinnerHandle

# Interface ListSpinnerHandle

All Superinterfaces:
  `FormComponentHandle`

public interface ListSpinnerHandle extends FormComponentHandle
Handle for the "Spinner of enumerated values" form component. The Swing widget is a `JSpinner` that cycles through a fixed list of string entries.

Reach this handle via `ScreenHandle.listSpinner()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListSpinnerHandle`
  `assertDisabled()`
  `ListSpinnerHandle`
  `assertEnabled()`
  `ListSpinnerHandle`
  `assertInvisible()`
  `ListSpinnerHandle`
  `assertSelectedItem(String expected)`
  Assert that the currently displayed entry equals the expected value.
  `ListSpinnerHandle`
  `assertVisible()`
  `ListSpinnerHandle`
  `decrement()`
  Move to the previous entry.
  `List<String>`
  `getItems()`
  The configured list entries.
  `int`
  `getSelectedIndex()`
  The index of the currently displayed entry.
  `String`
  `getSelectedItem()`
  The currently displayed entry.
  `ListSpinnerHandle`
  `increment()`
  Move to the next entry.
  `ListSpinnerHandle`
  `selectIndex(int index)`
  Select the entry at the given index.
  `ListSpinnerHandle`
  `selectItem(String item)`
  Select the entry whose label equals the given value.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getItems

    @NotNull List<String> getItems()
    The configured list entries.

  - ### getSelectedItem

    @NotNull String getSelectedItem()
    The currently displayed entry.

  - ### getSelectedIndex

    int getSelectedIndex()
    The index of the currently displayed entry.

  - ### selectItem

    @NotNull ListSpinnerHandle selectItem(@NotNull String item)
    Select the entry whose label equals the given value.

  - ### selectIndex

    @NotNull ListSpinnerHandle selectIndex(int index)
    Select the entry at the given index.

  - ### increment

    @NotNull ListSpinnerHandle increment()
    Move to the next entry.

  - ### decrement

    @NotNull ListSpinnerHandle decrement()
    Move to the previous entry.

  - ### assertSelectedItem

    @NotNull ListSpinnerHandle assertSelectedItem(@NotNull String expected)
    Assert that the currently displayed entry equals the expected value.

  - ### assertEnabled

    @NotNull ListSpinnerHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull ListSpinnerHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull ListSpinnerHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull ListSpinnerHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`